Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356153 - Review Request: xdg-desktop-portal-gtk - Backend implementation for xdg-desktop-portal using GTK+
Summary: Review Request: xdg-desktop-portal-gtk - Backend implementation for xdg-deskt...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 13:46 UTC by David King
Modified: 2016-07-14 07:00 UTC (History)
2 users (show)

Fixed In Version: xdg-desktop-portal-gtk-0.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-14 07:00:04 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description David King 2016-07-13 13:46:38 UTC
Spec URL: https://amigadave.fedorapeople.org/xdg-desktop-portal-gtk.spec
SRPM URL: https://amigadave.fedorapeople.org/xdg-desktop-portal-gtk-0.1-1.fc24.src.rpm
Description: A backend implementation for xdg-desktop-portal that is using GTK+ and various pieces of GNOME infrastructure, such as the org.gnome.Shell.Screenshot or org.gnome.SessionManager D-Bus interfaces.
Fedora Account System Username: amigadave

Comment 1 Igor Gnatenko 2016-07-13 13:57:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "LGPL (v2 or later)", "Unknown or
     generated". 24 files have unknown license. Detailed output of
     licensecheck in /home/ignatenk/1356153-xdg-desktop-portal-
     gtk/licensecheck.txt
     => It's autocrap pushing MIT
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/xdg-desktop-portal/portals,
     /usr/share/xdg-desktop-portal
     => Requires: xdg-developer-portal or something like this
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/xdg-desktop-portal,
     /usr/share/xdg-desktop-portal/portals
[?]: %build honors applicable compiler flags or justifies otherwise.
     => add --disable-silent-rules to %configure or V=1 to %make_build
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xdg-
     desktop-portal-gtk-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xdg-desktop-portal-gtk-0.1-1.fc25.x86_64.rpm
          xdg-desktop-portal-gtk-debuginfo-0.1-1.fc25.x86_64.rpm
          xdg-desktop-portal-gtk-0.1-1.fc25.src.rpm
xdg-desktop-portal-gtk.x86_64: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
xdg-desktop-portal-gtk.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
xdg-desktop-portal-gtk.x86_64: W: spelling-error %description -l en_US SessionManager -> Session Manager, Session-manager, Nonaggression
xdg-desktop-portal-gtk.src: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
xdg-desktop-portal-gtk.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
xdg-desktop-portal-gtk.src: W: spelling-error %description -l en_US SessionManager -> Session Manager, Session-manager, Nonaggression
xdg-desktop-portal-gtk.src: W: invalid-url Source0: https://github.com/flatpak/xdg-desktop-portal-gtk/releases/download/0.1/xdg-desktop-portal-gtk-0.1.tar.xz HTTP Error 403: Forbidden
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xdg-desktop-portal-gtk-debuginfo-0.1-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xdg-desktop-portal-gtk.x86_64: W: spelling-error Summary(en_US) Backend -> Backed, Back end, Back-end
xdg-desktop-portal-gtk.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
xdg-desktop-portal-gtk.x86_64: W: spelling-error %description -l en_US SessionManager -> Session Manager, Session-manager, Nonaggression
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
xdg-desktop-portal-gtk (rpmlib, GLIBC filtered):
    dbus
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libflatpak.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

xdg-desktop-portal-gtk-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
xdg-desktop-portal-gtk:
    xdg-desktop-portal-gtk
    xdg-desktop-portal-gtk(x86-64)

xdg-desktop-portal-gtk-debuginfo:
    xdg-desktop-portal-gtk-debuginfo
    xdg-desktop-portal-gtk-debuginfo(x86-64)



Source checksums
----------------
https://github.com/flatpak/xdg-desktop-portal-gtk/releases/download/0.1/xdg-desktop-portal-gtk-0.1.tar.xz :
  CHECKSUM(SHA256) this package     : 918c4b45ed848b4ff1aeb4d1b1b5fe67af0d7f0a74347a9d742bdc3c2e1c31eb
  CHECKSUM(SHA256) upstream package : 918c4b45ed848b4ff1aeb4d1b1b5fe67af0d7f0a74347a9d742bdc3c2e1c31eb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1356153 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


ALMOST GOOD

Comment 2 David King 2016-07-13 14:04:48 UTC
(In reply to Igor Gnatenko from comment #1)

> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/xdg-desktop-portal/portals,
>      /usr/share/xdg-desktop-portal
>      => Requires: xdg-developer-portal or something like this

Updated with that change.

Comment 3 Gwyn Ciesla 2016-07-13 16:36:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xdg-desktop-portal-gtk


Note You need to log in before you can comment on or make changes to this bug.